# Remove-RASPubAVDDesktop.md

## NAME

Remove-RASPubAVDDesktop

## SYNOPSIS

Removes a published desktop from a site.

## SYNTAX

**Remove-RASPubAVDDesktop** \[[Id](#id-string)] *(uint)* \[[SiteId](#siteid-string) *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Remove-RASPubAVDDesktop \[-[InputObject](#inputobject)] *(*[*PubItem*](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/pubitem.md)*)* \[[SiteId](#siteid-string) *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Removes a published desktop from a site.

This is an Experimental feature which is subject to slight changes.

## PARAMETERS

## Id (uint)

Published resource ID.

```
        Required?                    true

        Position?                    0

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## InputObject ([PubItem](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/pubitem.md))

An object specifying the published resource.

To obtain the object, use the Get-PubItem cmdlet.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       true (ByValue)

        Accept wildcard characters?  false
```

## SiteId (uint)

Site ID.

```
        Required?                    false

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

[PubItem](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/pubitem.md)

## OUTPUTS

-none-

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Remove-RASPubAVDDesktop -Id 11

Removes a published desktop specified by ID.\
\*\*---------- EXAMPLE 2 ----------

Remove-RASPubAVDDesktop -InputObject $PubAVDDesktop

Removes a published desktop specified by the $PubAVDDesktop object.

To obtain the object, use the Get-RASPubAVDDesktop cmdlet.\
\*\*---------- EXAMPLE 3 ----------

Get-RASPubAVDDesktop -Id 11 | Remove-RASPubAVDDesktop

Removes a desktop specified by an object obtained from the pipeline output.

## RELATED LINKS

* [New-RASPubAVDDesktop](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/new-raspubavddesktop.md)
* [Get-RASPubAVDDesktop](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-raspubavddesktop.md)
* [Set-RASPubAVDDesktop](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-raspubavddesktop.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-raspubavddesktop.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
